#ifndef UART_H
#define UART_H

#include "gd32e23x.h"

typedef enum {
    UART_PRINTF_USART0 = 0,
    UART_PRINTF_USART1 = 1,
    UART_PRINTF_BOTH   = 2
} uart_printf_port_t;

void uart0_init(uint32_t baudrate);
void uart1_init(uint32_t baudrate);
void uart_set_printf_port(uart_printf_port_t port);

#endif // UART_H
